﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SuperListEx
{
    /// <summary>
    /// Style of behaviour when a column is dragged from the column header to the column group area
    /// </summary>
    public enum MoveToGroupBehaviour
    {
        /// <summary>
        /// Copy the column from the header to the group area when dragged.
        /// </summary>
        Copy,

        /// <summary>
        /// Moves the column from the header to the group area when dragged.
        /// </summary>
        Move
    }
}
