﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SuperListEx
{
    public class SelectedItemsChangedEventArgs : EventArgs
    {
        internal SelectedItemsChangedEventArgs(IEnumerable<RowIdentifier> items, ChangeType changeType)
        {
            Items = items;
            ChangeType = changeType;
        }

        public IEnumerable<RowIdentifier> Items
        {
            get;
            private set;
        }

        public ChangeType ChangeType
        {
            get;
            private set;
        }
    }
}
